Show / Hide Table of Contents

Class CfnWebACL.AssociationConfigProperty

Specifies custom configurations for the associations between the web ACL and protected resources.

Inheritance
object
CfnWebACL.AssociationConfigProperty
Implements
CfnWebACL.IAssociationConfigProperty
Inherited Members
object.GetType()
object.MemberwiseClone()
object.ToString()
object.Equals(object)
object.Equals(object, object)
object.ReferenceEquals(object, object)
object.GetHashCode()
Namespace: Amazon.CDK.AWS.WAFv2
Assembly: Amazon.CDK.Lib.dll
Syntax (csharp)
public class CfnWebACL.AssociationConfigProperty : CfnWebACL.IAssociationConfigProperty
Syntax (vb)
Public Class CfnWebACL.AssociationConfigProperty Implements CfnWebACL.IAssociationConfigProperty
Remarks

Use this to customize the maximum size of the request body that your protected resources forward to AWS WAF for inspection. You can customize this setting for CloudFront, API Gateway, Amazon Cognito, App Runner, or Verified Access resources. The default setting is 16 KB (16,384 bytes).

You are charged additional fees when your protected resources forward body sizes that are larger than the default. For more information, see <a href="https://docs.aws.amazon.com/waf/pricing/">AWS WAF Pricing</a> .

For Application Load Balancer and AWS AppSync , the limit is fixed at 8 KB (8,192 bytes).

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-wafv2-webacl-associationconfig.html

ExampleMetadata: fixture=_generated

Examples
// The code below shows an example of how to instantiate this type.
             // The values are placeholders you should change.
             using Amazon.CDK.AWS.WAFv2;

             var associationConfigProperty = new AssociationConfigProperty {
                 RequestBody = new Dictionary<string, object> {
                     { "requestBodyKey", new RequestBodyAssociatedResourceTypeConfigProperty {
                         DefaultSizeInspectionLimit = "defaultSizeInspectionLimit"
                     } }
                 }
             };

Synopsis

Constructors

AssociationConfigProperty()

Specifies custom configurations for the associations between the web ACL and protected resources.

Properties

RequestBody

Customizes the maximum size of the request body that your protected CloudFront, API Gateway, Amazon Cognito, App Runner, and Verified Access resources forward to AWS WAF for inspection.

Constructors

AssociationConfigProperty()

Specifies custom configurations for the associations between the web ACL and protected resources.

public AssociationConfigProperty()
Remarks

Use this to customize the maximum size of the request body that your protected resources forward to AWS WAF for inspection. You can customize this setting for CloudFront, API Gateway, Amazon Cognito, App Runner, or Verified Access resources. The default setting is 16 KB (16,384 bytes).

You are charged additional fees when your protected resources forward body sizes that are larger than the default. For more information, see <a href="https://docs.aws.amazon.com/waf/pricing/">AWS WAF Pricing</a> .

For Application Load Balancer and AWS AppSync , the limit is fixed at 8 KB (8,192 bytes).

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-wafv2-webacl-associationconfig.html

ExampleMetadata: fixture=_generated

Examples
// The code below shows an example of how to instantiate this type.
             // The values are placeholders you should change.
             using Amazon.CDK.AWS.WAFv2;

             var associationConfigProperty = new AssociationConfigProperty {
                 RequestBody = new Dictionary<string, object> {
                     { "requestBodyKey", new RequestBodyAssociatedResourceTypeConfigProperty {
                         DefaultSizeInspectionLimit = "defaultSizeInspectionLimit"
                     } }
                 }
             };

Properties

RequestBody

Customizes the maximum size of the request body that your protected CloudFront, API Gateway, Amazon Cognito, App Runner, and Verified Access resources forward to AWS WAF for inspection.

public object? RequestBody { get; set; }
Property Value

object

Remarks

The default size is 16 KB (16,384 bytes). You can change the setting for any of the available resource types.

You are charged additional fees when your protected resources forward body sizes that are larger than the default. For more information, see <a href="https://docs.aws.amazon.com/waf/pricing/">AWS WAF Pricing</a> .

Example JSON: { "API_GATEWAY": "KB_48", "APP_RUNNER_SERVICE": "KB_32" }

For Application Load Balancer and AWS AppSync , the limit is fixed at 8 KB (8,192 bytes).

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-wafv2-webacl-associationconfig.html#cfn-wafv2-webacl-associationconfig-requestbody

Type union: either IResolvable or Dictionary<string, either IResolvable or CfnWebACL.IRequestBodyAssociatedResourceTypeConfigProperty>

Implements

CfnWebACL.IAssociationConfigProperty
Back to top Generated by DocFX